API Reference
Kitchen Transfers
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/central-kitchen/kitchen-transfers JWT API KeyGet kitchen-transfers
Query parameters
| Status string | — |
| InventoryItemId string (uuid) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/kitchen-transfers" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/central-kitchen/kitchen-transfers JWT API KeyCreate kitchen-transfers
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"sourceLocationId": "00000000-0000-0000-0000-000000000000",
"destLocationId": "00000000-0000-0000-0000-000000000000",
"notes": "string"
}| inventoryItemId string (uuid) | — |
| quantity number (double) | — |
| sourceLocationId string (uuid) | — |
| destLocationId string (uuid) | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/kitchen-transfers" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"sourceLocationId": "00000000-0000-0000-0000-000000000000",
"destLocationId": "00000000-0000-0000-0000-000000000000",
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/central-kitchen/kitchen-transfers/{id}/approve JWT API KeyCreate approve
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/kitchen-transfers/{id}/approve" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/central-kitchen/kitchen-transfers/{id}/reject JWT API KeyCreate reject
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/central-kitchen/kitchen-transfers/{id}/reject" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu